Mail archive
alpine-aports

[alpine-aports] [PATCH] main/devicemaster-linux: new upstream version 7.11

From: Christian Kampka <christian_at_kampka.net>
Date: Fri, 6 Nov 2015 10:01:28 +0100

Comtrol does not provide a driver archive.
Therefore, the source tarball will no longer be available
once they release no version. To avoid this problem,
a snapshot is now used for building.
---
 main/devicemaster-linux/APKBUILD       | 29 +++++++++++++++++++----------
 main/devicemaster-linux/makefile.patch | 12 +++++++-----
 2 files changed, 26 insertions(+), 15 deletions(-)
diff --git a/main/devicemaster-linux/APKBUILD b/main/devicemaster-linux/APKBUILD
index 1e0f728..e07c489 100644
--- a/main/devicemaster-linux/APKBUILD
+++ b/main/devicemaster-linux/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=devicemaster-linux
-pkgver=7.06
-pkgrel=3
+pkgver=7.11
+pkgrel=0
 pkgdesc="Userspace tools for NS-Link Device Drivers"
 url="http://www.comtrol.com/resources/product-resources-white-papers/ns-link-device-drivers"
 arch="all"
_at_@ -10,10 +10,20 @@ depends=""
 makedepends="linux-headers"
 install=
 subpackages="$pkgname-doc"
-source="ftp://ftp.comtrol.com/dev_mstr/rts/drivers/linux/devicemaster-linux-$pkgver.tar.gz
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz
 	makefile.patch
 	nslink.initd
 	"
+srcurl="ftp://ftp.comtrol.com/dev_mstr/rts/drivers/linux/devicemaster-linux-$pkgver.tar.gz"
+disturl="dev.alpinelinux.org:/archive/$pkgname/"
+
+snapshot() {
+	cd "$_builddir"
+	curl -ss -o "$pkgname-$pkgver.tar.gz" "$srcurl"
+	rsync --progress -La $pkgname-${pkgver}.tar.gz \
+		$disturl || return 1
+}
+
 _builddir="$srcdir"/devicemaster-linux-$pkgver
 prepare() {
 	cd "$_builddir"
_at_@ -48,13 +58,12 @@ package() {
 	install -m644 *.8 "$pkgdir"/usr/share/man/man8 || return 1
 	install -m644 *.5 "$pkgdir"/usr/share/man/man5 || return 1
 }
-
-md5sums="deded30023c8135c9beb06696e8c578f  devicemaster-linux-7.06.tar.gz
-5be3c1860d3377f792a05cd15ae2c88e  makefile.patch
+md5sums="0e79cf4afe5503087454d052f33847a9  devicemaster-linux-7.11.tar.gz
+5abe5c53c437a90d2c50ac0a854b5f4c  makefile.patch
 7697b0c2a3691a8338fc41bb5b0d7ce3  nslink.initd"
-sha256sums="6b11295952d1d74a6102a295a6ed5651ec040a0d8c30838cd23a1f3f7c95a4e7  devicemaster-linux-7.06.tar.gz
-36b5a4eab09929805e146445cb704e6be6ba8d15704846330c4dd39229a1b80b  makefile.patch
+sha256sums="9901966cf6a696f07a7d3f79c8fc5d6dbc5340fd36ea785cf27577b1fcadfc04  devicemaster-linux-7.11.tar.gz
+29da78b6805090e9dab062402f6cc815be8aacbd4baa3d3e1527568818866f8a  makefile.patch
 426d6b404d9ac033c44ba46d87a53c76ceee7e69305fb7d946e6c97736697b1f  nslink.initd"
-sha512sums="496144ee40464c96442ce655424db886cb5b4df1701e30cc8d059fc918e8916cb6c3b0b57cead2d0e9d50e4618ee13efa5f3630765545ea45e29f8080101800b  devicemaster-linux-7.06.tar.gz
-aeafcaa2b15f1ebb4b5dc1eed87bd528cb5fa0be0d82177e9e70a85b7f74c5000af05d82f4927b25a8cbf2254e4fae7f89cb7d3b18bef2be45feb80c409c9ea4  makefile.patch
+sha512sums="dade8220f25c32e38520fd9267f18f2af0bcc14e84b422f77d6cdf7a23d4f14512182176039686ec898d6e4c390751318bc0c7aa7f74e4aa9a94d411b3c774d8  devicemaster-linux-7.11.tar.gz
+adadb7b6502b0b6fd2d72a1a453dcea2ff8800d08258b80c5df751bd9fc8de5e88760560c2ab1e911e994999db58882555b5ab6e72f466ed26a47b327f6a668a  makefile.patch
 6e67a184ec73d5909d67b7d606d4789cad0e0b4134bb52bfd4019fd7f65b928c15c241dfe6f8a1c6e0854f4d509d7bb150beb9d41ae2a2315ebc040c240abc22  nslink.initd"
diff --git a/main/devicemaster-linux/makefile.patch b/main/devicemaster-linux/makefile.patch
index da50b9e..6f96523 100644
--- a/main/devicemaster-linux/makefile.patch
+++ b/main/devicemaster-linux/makefile.patch
_at_@ -1,14 +1,16 @@
---- ./Makefile.orig
-+++ ./Makefile
-_at_@ -52,13 +52,13 @@
+diff --git a/Makefile.orig b/Makefile
+index ff8d684..b256ea3 100755
+--- a/Makefile.orig
++++ b/Makefile
+_at_@ -35,13 +35,13 @@ all:
  nslink.o: nslink.o nslink.c nslink_int.h nslink.h version.h
  
  nslinkd: nslinkd.c parse.c nslink.h nslinkd.h version.h
--	gcc -Wall -o nslinkd nslinkd.c parse.c
+-	$(CC) -Wall -o nslinkd nslinkd.c parse.c
 +	$(CC) $(CFLAGS) -Wall $(LDFLAGS) -o nslinkd nslinkd.c parse.c
  
  nslinkadmin: nslinkadmin.c
--	gcc -Wall -o nslinkadmin nslinkadmin.c
+-	$(CC) -Wall -o nslinkadmin nslinkadmin.c
 +	$(CC) $(CFLAGS) -Wall $(LDFLAGS) -o nslinkadmin nslinkadmin.c
  
  nslinkrelease: nslinkrelease.c
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 10:01:28 GMT